* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary: #0066B3;
    --secondary: #FF9900;
    --text: black;
    --text-light: #666666;
    --width: 1200px;
    --shadow: 0 2px 4px 1px rgba(0, 0, 0, 0.15);
    --shadow-large: 0 5px 5px 1px rgba(0, 0, 0, 0.1);
}

body {
    font-family: 'Noto Sans TC', Microsoft JhengHei, -apple-system, Roboto;
    line-height: 1.6;
    color: var(--text);
}

.cta {
    background: var(--secondary);
    color: white;
    font-size: 1rem;
    padding: 12px 30px;
    text-decoration: none;
    border-radius: 50px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 5px;
    box-shadow: var(--shadow);
}

.cta.fixed {
    display: none;
}

@media (max-width: 767px) {
    .cta.fixed {
        display: flex;
        position: fixed;
        bottom: 120px;
        right: 5px;
        z-index: 1;
        width: 70px;
        height: 70px;
        border-radius: 70px;
        padding: 12px;
        justify-content: center;
        align-items: center;
        text-align: center;
        line-height: 1.4;
        box-shadow: var(--shadow-large);
    }
}

@media (min-width: 1024px) {
    .cta:hover {
        box-shadow: none;
        position: relative;
    }

    .cta:hover::after {
        content: '';
        width: 100%;
        height: 100%;
        background: black;
        opacity: 0.1;
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        border-radius: 50px;
    }
}

h2 {
    padding: 0 40px;
}

h4 {
    font-weight: normal;
}

/* header */
.logo {
    margin: 20px calc(50vw - 140px);
}

header .cta {
    float: right;
    margin: 12px 40px 0 0;
    display: none;
}

@media (min-width: 768px) {
    header {
        background: white;
        position: sticky;
        top: 0;
        z-index: 3;
        box-shadow: var(--shadow)
    }

    .logo {
        margin: 20px 0 20px 40px;
    }

    header .cta {
        display: flex;
    }
}

/* main */
#hero {
    background: url(../images/bg.jpg);
    background-repeat: repeat-x;
    background-size: auto 100%;
}

.hero-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    max-width: var(--width);
    padding: 40px;
    margin: 0 auto;
    background: url(../images/bg-map.png);
    background-size: auto 74%;
    background-position: center top;
    background-repeat: no-repeat;
    position: relative;
}

.hero-txt {
    color: white;
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    text-align: center;
}

.hero-sub-title {
    font-size: 1.2rem;
    font-weight: normal;
    display: block;
}

.hero-img {
    width: 80%;
    max-width: 500px;
    margin: 10px 10% 0 10%;
}

@media (min-width: 768px) {
    .hero-content {
        flex-direction: row;
        align-items: flex-start;
    }

    .hero-txt {
        align-items: flex-start;
        justify-content:flex-start;
        text-align: left;
        flex-grow: 1;
    }

    .hero-img {
        width: 50%;
        margin: 0;
    }

    .hero-logo {
        position: absolute;
        left: 40px;
        bottom: 50px;
    }
}

@media (min-width: 976px) {
    .hero-txt {
        padding-top: 80px;
    }
}

#about, .product-content, .footer-content {
    max-width: var(--width);
    text-align: center;
    padding: 40px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

#about {
    background: white;
}

/* .about-txt {
    text-align: left;
} */

.product-content {
    max-width: none;
    padding: 40px 0;
}

#product {
    background: #F3F4F6;
}

.product-carousel {
    display: flex;
    flex-direction: row;
    gap: 20px;
    padding: 0 40px;
    overflow-x: auto;
    overflow-y: visible;
}

@media (min-width: 1340px) {
    .alcatel {
        justify-content: center;
    }
}

@media (min-width: 1675px) {
    .mitel {
        justify-content: center;
    }
}

.product-carousel-content {
    max-width: 300px;
    background: white;
    border-radius: 10px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    flex: 1 0 95%;
    /* box-shadow: var(--shadow); */
}

.product-txt {
    text-align: left;
    color: var(--text-light);
}

/* footer */
footer {
    background: url(../images/bg.jpg);
    background-repeat: repeat-x;
    background-size: auto calc(100% + 150px);
}

.footer-content {
    color: white;
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;
    align-items: center;
}

.footer-content h4 {
    display: flex;
    flex-direction: row;
    gap: 5px;
}

.footer-content h4 a {
    color: white;
    text-decoration: none;
}

@media (min-width: 1024px) {
    .footer-content h4 a:hover {
        opacity: 0.7;
    }
}

.foot-note {
    font-size: 0.8rem;
    color: white;
    opacity: 0.7;
    padding: 40px 40px 10px;
    text-align: center;
}

#hero, #about, footer {
    position: relative;
    z-index: 2;
}

/* swiper */
.swiper {
  width: calc(100% - 60px);
  padding-bottom: 40px;
}

.swiper-slide {
    height: auto;
}

.swiper-button-prev-custom, .swiper-button-next-custom {
    display: none;
    position: absolute;
    top: calc(50% - 30px);
    z-index: 1;
}

.swiper-button-prev-custom img, .swiper-button-next-custom img {
    box-shadow: var(--shadow-large);
    border-radius: 60px;
}

.swiper-button-prev-custom {
    left: 0;
}

.swiper-button-next-custom {
    right: 0;
}

.swiper-button-disabled {
    opacity: 0;
}

.swiper-pagination-bullet-active {
    color: var(--primary);
}

@media (min-width: 1024px) {
    .swiper-button-prev-custom, .swiper-button-next-custom {
        display: block;
    }

    .swiper-button-prev-custom:hover::after, .swiper-button-next-custom:hover::after {
        content: '';
        width: 60px;
        height: 60px;
        background: black;
        opacity: 0.1;
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        border-radius: 60px;
    }
}